Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Po Lu <[email-masked]>
Date: Fri, 26 Aug 2022 15:42:58 +0800

Tomas Hlavaty <[email-masked]> writes:

> no-toolkit Emacs is not supposed to use a widget toolkit as far as I
> understand it.  I was hoping that there would not be an alien library
> with all the negatives of alien widget toolkit, or in this case even
> worse (XMenu does not respect my desktop font settings, font
> configuration is inconvenient, it looks bad and is unreadable by
> default).

"No toolkit" simply means Emacs doesn't use the X toolkit or GTK.

("X toolkit" has a very strict definition: any toolkit based upon the X
toolkit intrinsics.)

Since the oldXMenu library is not based on the toolkit intrinsics, it's
not an X toolkit.